user gets dropped to Main Page instead of upload wizard page
Closed, ResolvedPublic

Description

If starting as logged out user from http://commons.wikimedia.org/wiki/Special:UploadWizard -> then the "Not logged in" page is displayed -> and after logging in -> user get's redirected to Main_Page instead of special upload wizard page.


Version: unspecified
Severity: normal

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz30728.
WikedKentaur created this task.Via LegacySep 3 2011, 1:05 PM
MarkAHershberger added a comment.Via ConduitApr 20 2012, 7:53 PM

just verified that this is still a problem.

MarkTraceur added a comment.Via ConduitMay 22 2012, 6:13 PM

Patch submitted, awaiting review: https://gerrit.wikimedia.org/r/8475

MarkTraceur added a comment.Via ConduitMay 29 2012, 4:27 PM

Patch was accepted, no longer an issue.

brion added a comment.Via ConduitJun 2 2012, 9:44 AM

There are apparently additional prefill fields that we need to handle, currently only campaign is hardcoded.

bzimport added a comment.Via ConduitJun 2 2012, 9:54 AM

ew-nospam wrote:

To reproduce, logout and visit e.g.

https://en.wikipedia.org/wiki/List_of_rijksmonuments_in_Bloemendaal_%28town%29

Click on one of the placeholder images on the right. The URL will be sth. like

https://commons.wikimedia.org/w/index.php?title=Special:UploadWizard&campaign=wlm-nl&id=511067&description=Building+at+the+complex+of+the+former+hotel+%22Duin+en+Daal%22&lat=52.40710&lon=4.60919

There are several parameters to pre-fill the UpWiz fields later.

If logged out, you will be directed to the login/account creation page, the parameters are still in the URL:

https://commons.wikimedia.org/w/index.php?title=Special:UserLogin&returnto=Special:UploadWizard&returntoquery=campaign=wlm-nl&id=511115&description=Former+billiard+room&lat=52.40012&lon=4.61276

After logging in (most probably also after account creation) the parameters are reduced to the "campaign" parameter.

Thx for fixing.
elke

brion added a comment.Via ConduitJun 2 2012, 10:30 AM

Ok it looks like we're missing some escaping, so only the first item in the the 'returntoquery' parameter gets seen -- the first & in it separates it off. Campaign isn't being hardcoded, it's just the first item.

MarkTraceur added a comment.Via ConduitJun 4 2012, 4:45 PM

Oops! Sorry about that, this one should work a little better: https://gerrit.wikimedia.org/r/10125

Gilles added a project: Multimedia.Via WebDec 4 2014, 10:53 AM
Gilles moved this task to Closed on the Multimedia workboard.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.